Solving “Cannot redeclare show_subscription_checkbox() (previously declared in .. wp-content/plugins/subscribe-to-comments/subscribe-to-comments.php”

I’m trying to install subscribe-to-comments wordpress plugin in order to make my users to easily set a tick and receive new emails if somebody replies to their comments in my blog. Pitily downloading and trying to install the subscribe-to-comments wordpress plugin was failing after it’s activation with an error message:

PHP Fatal error: Cannot redeclare show_subscription_checkbox() (previously declared in /var/www/blog/wp-content/plugins/subscribe-to-comments/subscribe-to-comments.php:12) in /var/www/blog/wp-content/plugins/subscribe-to-comments.php on line 58"

I did my best to edit the subscribe-to-comments.php to fix up the fatal error but it was no go, so after a bunch of research I’ve found out somebody created a new version of the plugin under the name subscribe-to-comments-reloaded .

I’ve proceeded and gave a try to subscribe-to-comments-reloaded as a substitute to the old broken subscribe-to-comments .

Enabling the subscribe-to-commets-reloaded worked out of the box and the plugin now works perfectly fine and even better is enabling all the functionaity of the subscribe-to-comments
Cheers 🙂

Share this on:

More helpful Articles

Download PDFDownload PDF

Tags: , , , , , , , , , , , , , , , , , , , , , , ,

5 Responses to “Solving “Cannot redeclare show_subscription_checkbox() (previously declared in .. wp-content/plugins/subscribe-to-comments/subscribe-to-comments.php””

  1. invoke says:
    Firefox 3.6.13 Firefox 3.6.13 Windows 7 Windows 7
    Mozilla/5.0 (Windows; U; Windows NT 6.1; bg; rv:1.9.2.13) Gecko/20101203 Firefox/3.6.13

    ala bala 🙂

    View CommentView Comment
  2. hip0 says:
    Opera 11.00 Opera 11.00 GNU/Linux x64 GNU/Linux x64
    Opera/9.80 (X11; Linux x86_64; U; en) Presto/2.7.62 Version/11.00

    test

    View CommentView Comment
  3. blog voyage says:
    Firefox 3.5.19 Firefox 3.5.19 Windows Vista Windows Vista
    Mozilla/5.0 (Windows; U; Windows NT 6.0; fr; rv:1.9.1.19) Gecko/20110420 Firefox/3.5.19 GTB7.1 ( .NET CLR 3.5.30729; .NET4.0C)

    Hi

    I had the same error, and the relaoded pluging works 🙂

    But how make the box check by default??

    thanks

    Alain

    View CommentView Comment
  4. Johnd549 says:
    Internet Explorer 6.0 Internet Explorer 6.0 Windows XP Windows XP
    Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

    Well I really enjoyed reading it. This information procured by you is very practical for correct planning. cbebafdkbkeb

    View CommentView Comment

Leave a Reply

CommentLuv badge